import { PublicKey } from '@solana/web3.js';
export declare const PROGRAM_ID: PublicKey;
export declare const IDL: {
    version: string;
    name: string;
    instructions: {
        name: string;
        accounts: ({
            name: string;
            isMut: boolean;
            isSigner: boolean;
            docs: string[];
        } | {
            name: string;
            isMut: boolean;
            isSigner: boolean;
            docs?: undefined;
        })[];
        args: {
            name: string;
            type: {
                defined: string;
            };
        }[];
    }[];
    accounts: ({
        name: string;
        type: {
            kind: string;
            fields: ({
                name: string;
                docs: string[];
                type: string;
            } | {
                name: string;
                docs: string[];
                type: {
                    defined: string;
                    array?: undefined;
                };
            } | {
                name: string;
                type: {
                    array: (string | number)[];
                    defined?: undefined;
                };
                docs?: undefined;
            })[];
        };
        docs?: undefined;
    } | {
        name: string;
        docs: string[];
        type: {
            kind: string;
            fields: ({
                name: string;
                docs: string[];
                type: string;
            } | {
                name: string;
                docs: string[];
                type: {
                    array: (string | number)[];
                };
            } | {
                name: string;
                type: {
                    array: (string | number)[];
                };
                docs?: undefined;
            })[];
        };
    } | {
        name: string;
        type: {
            kind: string;
            fields: ({
                name: string;
                type: string;
            } | {
                name: string;
                type: {
                    array: (string | number)[];
                };
            })[];
        };
        docs?: undefined;
    })[];
    types: ({
        name: string;
        type: {
            kind: string;
            fields: ({
                name: string;
                type: string;
            } | {
                name: string;
                type: {
                    array: (string | number)[];
                    defined?: undefined;
                };
            } | {
                name: string;
                type: {
                    defined: string;
                    array?: undefined;
                };
            })[];
            variants?: undefined;
        };
        docs?: undefined;
    } | {
        name: string;
        type: {
            kind: string;
            fields: ({
                name: string;
                type: string;
            } | {
                name: string;
                type: {
                    option: string;
                    defined?: undefined;
                };
            } | {
                name: string;
                type: {
                    defined: string;
                    option?: undefined;
                };
            })[];
            variants?: undefined;
        };
        docs?: undefined;
    } | {
        name: string;
        type: {
            kind: string;
            variants: {
                name: string;
            }[];
            fields?: undefined;
        };
        docs?: undefined;
    } | {
        name: string;
        docs: string[];
        type: {
            kind: string;
            variants: {
                name: string;
                fields: {
                    name: string;
                    type: {
                        array: (string | number)[];
                    };
                }[];
            }[];
            fields?: undefined;
        };
    })[];
    errors: {
        code: number;
        name: string;
        msg: string;
    }[];
};
//# sourceMappingURL=constants.d.ts.map